From 751ee02ffb557c9244af12d49f4173e8d0be3a41 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 25 2021 06:02:20 +0000
Subject: [PATCH 2182/2232] Tweak cxx::vector and cxx::memory module-level doc


---

diff --git a/src/memory.rs b/src/memory.rs
index 80b8f6f..441d3d8 100644
--- a/src/memory.rs
+++ b/src/memory.rs
@@ -1,3 +1,7 @@
+//! Less used details of `UniquePtr` and `SharedPtr`.
+//!
+//! The pointer types themselves are exposed at the crate root.
+
 pub use crate::shared_ptr::SharedPtrTarget;
 pub use crate::unique_ptr::UniquePtrTarget;
 #[doc(no_inline)]
diff --git a/src/vector.rs b/src/vector.rs
index d360207..4afd487 100644
--- a/src/vector.rs
+++ b/src/vector.rs
@@ -1,5 +1,6 @@
-//! Less used details of `CxxVector` are exposed in this module. `CxxVector`
-//! itself is exposed at the crate root.
+//! Less used details of `CxxVector`.
+//!
+//! `CxxVector` itself is exposed at the crate root.
 
 pub use crate::cxx_vector::{Iter, IterMut, VectorElement};
 #[doc(inline)]

